%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-openstacklib
Version:        10.4.1
Release:        3%{?dist}
Summary:        Puppet OpenStack Libraries
License:        ASL 2.0

URL:            https://launchpad.net/puppet-openstacklib

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz
#patches_base=10.4.1
Patch0001: 0001-Fix-beaker-tests-to-use-openstack_integration-for-Ra.patch
Patch0002: 0002-ocata-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0003: 0003-Switch-to-Zuul-v3-testing.patch

#patches_ignore=DROP-IN-RPM

BuildArch:      noarch

Requires:       puppet-apache
Requires:       puppet-inifile
Requires:       puppet-mysql
Requires:       puppet-stdlib
Requires:       puppet-rabbitmq
#Requires:       puppet-postgresql
Requires:       puppet >= 2.7.0

%description
Puppet OpenStack Libraries

%prep
%setup -q -n openstack-openstacklib-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/openstacklib/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/openstacklib/



%files
%{_datadir}/openstack-puppet/modules/openstacklib/


%changelog
* Fri Jan 05 2018 Steve Linabery <slinaber@redhat.com> 10.4.1-3
- Switch to Zuul v3 testing

* Thu Nov 09 2017 Steve Linabery <slinaber@redhat.com> 10.4.1-2
- [ocata] Add Puppet package to bindep, for module build
- Fix beaker tests to use openstack_integration for RabbitMQ

* Wed Jun 28 2017 Mike Burns <mburns@redhat.com> 10.4.1-1
- Update to 10.4.1

* Wed Mar 08 2017 Steve Linabery <slinaber@redhat.com> 10.3.0-2
- Merge "Release Ocata 10.4.0" into stable/ocata
- Release Ocata 10.4.0
- Allow integer port in os_transport_url

* Fri Feb 10 2017 Alfredo Moralejo <amoralej@redhat.com> 10.3.0-1
- Update to 10.3.0


